Tạo bản phiên âm
post/v1/audio/transcriptions
Chuyển âm thanh thành văn bản.
Xác thực
Gửi khóa API OLETOKEN dưới dạng token Bearer. Khóa được tạo tại trang API Keys trong bảng điều khiển.
Authorization: Bearer $OLETOKEN_API_KEYNội dung yêu cầu
Content-Type:multipart/form-data
| Trường | Kiểu | Bắt buộc | Mô tả |
|---|---|---|---|
| file | string | Tệp âm thanh | |
| model | string | — | |
| language | string | — | Mã ngôn ngữ ISO-639-1 |
| prompt | string | — | — |
| response_format | stringdefault: jsonjsontextsrtverbose_jsonvtt | — | — |
| temperature | number | — | — |
| timestamp_granularities | string[] | — | — |
Phản hồi
200Đã tạo bản phiên âm
| Trường | Kiểu | Bắt buộc | Mô tả |
|---|---|---|---|
| text | string | — | — |
Ví dụ yêu cầu
curl -X POST 'https://api.oletoken.ai/v1/audio/transcriptions' \
-H "Authorization: Bearer $OLETOKEN_API_KEY" \
-F 'file=' \
-F 'model=whisper-1'
